"""The application's Globals object"""
import os
import logging
import mpulsweb.lib.app_globals
from formed.meta.io.document import openDocument
log = logging.getLogger(__name__)

class Globals(mpulsweb.lib.app_globals.Globals):
    def _load_formedtree_from_file(self, formed_file):
        # Build FormedTree. This tree will work as template for all cases
        log.debug("loading formedtree definition with rules for WASKO from %r", 
            formed_file)
        return openDocument(formed_file, generate_rules=True)
