## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='index')}">${_('Case Management')}</a></li>
  <li><a href="${h.url(controller='case', action='new2')}">${_('Create new case')}</a></li>
</%def>

<div class="waska_form">
  <form id="waska_form" 
        action="${h.url(controller='case', action='newAction')}" 
        accept-charset="UTF-8"
        name="waska_form" method="POST">
    <h1>${_('Create new case document')}</h1>
    <fieldset>
      <legend>${_('Basic data')}</legend>
      <table>
        <tr>
          <td class="label">
            <label for="name">${_('Lastname')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="name" id="name" value="${c.case.last_name or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="vorname">${_('Firstname')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="vorname" id="vorname"
                   value="${c.case.first_name or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="street">${_('Street')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="addresse_strasse_1" id="street"
                   value="${c.case.street or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="streetnr">${_('Streetnr')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="addresse_strassenr_1" id="streetnr"
                   value="${c.case.streetnr or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="plz">${_('PLZ')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="addresse_plz_1" id="plz"
                   value="${c.case.plz or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="city">${_('Place')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="addresse_ort_1" id="city"
                   value="${c.case.city or ""}">
          </td>
        </tr>
    </table>
    </fieldset>
    <fieldset>
      <legend>${_('Type of admission')}</legend>
      <input type="radio" name="aufnahme_typ" value="0" id="type_aufnahme_1" checked="checked">
      <label for="type_aufnahme_1">${_('Initial admission')}</label><br>
      <input type="radio" name="aufnahme_typ" value="1" id="type_aufnahme_2">
      <label for="type_aufnahme_2">${_('Reopening after successful reintegration')}</label>
      <a target="_blank" href="${h.url_for('/annotations/help/wiederaufnahme')}">
        <img alt="${_('help icon')}" src="${h.url_for('/images/icons/form_help.png')}" border="0">
      </a><br>
      <input type="radio" name="aufnahme_typ" value="2" id="type_aufnahme_3">
      <label for="type_aufnahme_3">${_('New admission after other termination')}</label> 
      <a target="_blank" href="${h.url_for('/annotations/help/neuaufnahme')}">
        <img alt="${_('help icon')}" src="${h.url_for('/images/icons/form_help.png')}" border="0">
      </a>
     </fieldset>
    <%include file="new_statement_block.mako" />
    <div class="input_space">
      <input type="submit" value="${_('Print statement')}" name="print">
      <input type="submit" value="${_('Create case document')}" name="save">
    </div>
  </form>
</div>
