## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUserGroups')}">${_('Usergroup overview')}</a></li>
</%def>


<div id="content_header_small">
  <div id="content_ueberschrift">
 ${_('Usergroup overview')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li><a href="${h.url(controller='administration', action='newUserGroup')}"> ${_('Create new usergroup')}</a></li>
      </ul>
    </div>
  </div>
</div>
<table class="hovertable">
  <tr>
    <th class="table_header_h table_width_mid">${_('Groupname')}</th>
    <th class="table_header_h table_width_mid_s">${_('Actions')}</th>
  </tr>
  <% idset = 0 %>
  % for group in c.group_overview:
    % if idset==0:
     <tr>
    <% idset = 1 %>
    % else:
    <tr class="table_row_h">
    <% idset = 0 %>
     % endif
       <td>
            <a href="${h.url(controller='administration', action='showUserGroup', id=group.id)}">${group.name| F.NA}</a>
       </td>
       <td>
         <a href="${h.url(controller='administration', action='showUserGroup', id=group.id)}"><img src="${h.url('/images/icons/open_active_22.png')}" border="0" alt="${_('Show')}" title="${_('Show')}"></a>
         <a href="${h.url(controller='administration', action='deleteUserGroup', id=group.id)}"><img src="${h.url('/images/icons/delete_active_22.png')}" border="0" alt="${_('Delete')}" title="${_('Delete')}"></a>
       </td>
     </tr>
  % endfor
  % if len(c.group_overview) <= 0:
    <tr>
      <td colspan="2">
        ${_('No data found.')}
      </td>
    </tr>
  % endif
</table>
