## -*- coding: utf-8 -*- 
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
    ${parent.buildNavipath()}
    <li><a href="${h.url(controller='case', action='index')}">${_('Case Management')}</a></li>
    <li>${_('Editor assigned')}</li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
${_('Organisation')}
  </div>
</div>
<p>${_('Please choose a new editor for the document')}:</p>
<ul>
% for case in c.case_list:
  <li>${case.last_name | F.NA}, ${case.first_name | F.NA}</li>
% endfor
</ul>
% if h.hasRole(['admin']):
<form action="${h.url(controller="case_bundle", action="set_editor")}" method="POST">
<select name="editor">
% for user in c.user_list:
  <option value="${user.id | F.NA}">${user.last_name | F.NA} ${user.first_name | F.NA}</option>
% endfor
</select>
<input type="submit" value="${_('Case document assigned')}">
</form>
% endif
