## -*- coding: utf-8 -*-
<%inherit file="main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
		${parent.buildNavipath()}
	<li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
	<li><a href="${h.url(controller='case', action='organisation', id=session.get('case').id)}">${_('Organisation')}</a></li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
${_('Organisation')}
  </div>
</div>
<p>${_('This page shows the main worker of a case document and his or her standin')}</p>
<h2>${_('Editor')}</h2>
<table>
  <tr>
    <td class="label table_header_v table_width_mid_l">${_('Lastname')}</td><td class=" table_row_v table_description">${c.editor.last_name | F.NA}</td>
    </tr>
  <tr>
    <td class="label">${_('Firstname')}</td><td class=" table_row_v_2">${c.editor.first_name | F.NA}
    </td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('Phone')}</td><td class=" table_row_v">${c.editor.telephone | F.NA}
    </td>
  </tr>
</table>
% if h.hasRole(['admin']) and session.get('case').getState().getState() == 1:
<form action="${h.url(controller="case", action="setEditorAction")}" method="POST">
<input type="hidden" name="case_id" value="${session.get('case').id}">
<select name="editor">
% for user in c.user_list:
  <option value="${user.id | F.NA}">${user.last_name | F.NA}, ${user.first_name | F.NA}</option>
% endfor
</select>
<input type="submit" value="${_('Case document assigned')}">
</form>
% endif

<h2>${_('Standin')}</h2>
% if ((h.hasRole(['admin']) or (c.current_user.id == c.editor.id))) and session.get('case').getState().getState() == 1:
<form action="${h.url(controller="case", action="setStandinAction")}" method="POST">
<input type="hidden" name="case_id" value="${session.get('case').id}">
<table>
  <tr>
    <th class="table_header_h table_checkbox">&nbsp;</th>
    <th class="table_header_h table_description">${_('Editor')}</th>
  </tr>
  <% idset = True %>
  % for group in c.group_list:
  <tr>
  % if idset:
    % if group.id in c.standin.getGroups():
     <td><input type="checkbox" name="standin-${group.id}" value="${group.id}" checked></td>
    % else:
     <td><input type="checkbox" name="standin-${group.id}" value="${group.id}"></td>
    % endif
     <td>${group.name | F.NA}</td>
  % else:
    % if group.id in c.standin.getGroups():
     <td class="table_row_v_12"><input type="checkbox" name="standin-${group.id}" value="${group.id}" checked></td>
    % else:
     <td class="table_row_v_12"><input type="checkbox" name="standin-${group.id}" value="${group.id}"></td>
    % endif
     <td class="table_row_v_12">${group.name | F.NA}</td>
  % endif
  </tr>
  <% idset = not idset %>
  % endfor
</table>
<input type="submit" value="${_('Change Standin')}">
</form>
% else:
<table>
  <tr>
    <th class="table_width_long table_header_h">${_('Editor')}</th>
  </tr>
  <% idset = 0 %>
  % for group in c.group_list2:
    % if group.id in c.standin.getGroups():
      % if idset==0:
      <tr>
        <td>${group.name | F.NA}</td>
      </tr>
      <% idset = 1 %>
      % else:
      <tr>
        <td class="table_row_h">${group.name | F.NA}</td>
      </tr>
      <% idset = 0 %>
      % endif
    % endif
  % endfor
</table>
% endif
