## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='document', action='globalOverview')}">${_('Document overview')}</a></li>
  <li><a href="${h.url(controller='document', action='globalUpload')}">${_('Add document')}</a></li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Add new document')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
	<li>
          <a href="${h.url(controller='document', action='globalOverview')}">
            ${_('Back to: Attachment overview')}
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>

<p class="import_p">
  ${_('The size of the documents isnt allowed to exceed 10MB.')}</p>
${h.form(h.url(controller="document", action='globalUploadAction'), 
  multipart=True)}
<div class="widget container">
  <table class="form">
    <colgroup>
      <col width="20%">
      <col width="60%">
      <col width="20%">
    </colgroup>
    <tr>
      <td class="label">
        <label for="name">
          ${_('File')}
        </label>
      </td>
      <td class="">
        <input type="file" name="file.upload" id="file">
        <input type="hidden" name="file.static">
      </td>
      <td class=""><span class="error"><form:error name="file"></span></td>
    </tr>
    <tr>
      <td class="label">
        <label for="name">${_('Filename')}</label></td>
      <td class="">
        <input type="text" name="name" id="name"><br>
      </td>
      <td class=""><span class="error"><form:error name="name"></span></td>
    </tr>
    % if g.mpuls_config.is_enabled("module", "documents-description"):
    <tr>
	<td class="label">
        <label for="description">${_('Description')}</label></td>
      <td class="">
        <input type="text" name="description" id="description" style="width: auto;"><br>
      </td>
      <td class=""><span class="error"><form:error name="description"></span></td>
    </tr>
    % endif
    <tr>
      <td class="label">
      <td class="">
        <p class="note">${_('You can optional choose a alternative name for the file, so that you can add more versions of a document. If you choose no optional name, the name of the file is used.')}  </p>
      </td>
      <td class=""></td>
    </tr>
    <tr>
      <td class="label">
          ${_('Overwrite')}
      </td>
      <td class="">
        <input type="checkbox" name="overwrite" value="1" id="overwrite">
          <label for="overwrite">
            ${_('Overwrite files with same name')}
          </label>
      </td>
      <td class=""><span class="error"><form:error name="overwrite"></span></td>
    </tr>
    <tr>
      <td class="label">
      <td class="">
        <p class="note">${_('Please note: you need to set Overwrite, if you want to overwrite a file with same name.')}</p>
      </td>
      <td class=""></td>
    </tr>
    <tr>
      <td class=""></td>
      <td colspan="2">
        ${h.submit('upload', _('Submit'))}
      </td>
    </tr>
  </table>
</div>
${h.end_form()}
