## -*- coding: utf-8 -*-
<%inherit file="../auth/main.mako" />
<div id="waska_form_login">
<div id="waska_form_login_pw">
<h1>${_('Change password needed')}</h1>
${self.buildFormErrors()}
<p>${_('You have to set a new password. This can have following reasons:')}<p>
<ul>
  <li>${_('You login for the first time with initial password on the system.')}</li>
  <li>${_('You used the same password for a long time. So it has become invalid.')}</li>
  <li>${_('The password has been reset by the administration.')}</li>
</ul>
<p>${_('Please insert the new password.')}
</p>
<div id="waska_form_login">
<form action="${h.url(controller='usersettings', action='changePasswordOnLoginAction')}" method="POST" autocomplete="off">
	<fieldset><legend>${_('Information about login')}</legend>
	<div class="waska_form_element w50">
          % if c.form_errors.get('passwd'):
	    <label for="passwd" class="error_font">${_('Enter new password')}</label><br>
            <input type="password" class="field error_box" id="passwd" name="passwd">
          % else:   
            <label for="passwd">${_('Enter new password')}</label><br>
            <input type="password" class="field" id="passwd" name="passwd">
          % endif
	</div>
	<div class="waska_form_element w50">
          % if c.form_errors.get('passwd2'):
	    <label for="passwd2" class="error_font">${_('Repeat pasword')}</label><br>
            <input type="password" class="field error_box" id="passwd2" name="passwd2">
          % else: 
	    <label for="passwd2">${_('Repeat pasword')}</label><br>
            <input type="password" class="field" id="passwd2" name="passwd2">
          % endif
	</div>
	</fieldset>
	<input type="submit" value="${_('Save')}">
</form>
</div>
</div>
