BEGIN;
-- Verbeserung I1201002 
-- in cm_dok_end_art_tbl
-- Umbenennung: erfolgreiche Reintegration in die Schule ->
--              erfolgreiche Reintegration in die Allgemeinbilende Schule
-- Einfügen: erfolgreiche Reintegration in die Berufliche Schule
-- Vergrösserung des Feldes value auf 59.

SET ROLE :db_adm;
INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('2.0.3/02_cm_dok_end_art.sql', current_timestamp);

-- Resize the table to fit new values
ALTER TABLE cm_dok_end_art_tbl ALTER COLUMN value TYPE varchar(59);

-- Insert/Update
INSERT INTO cm_dok_end_art_tbl (id, value) VALUES (4, 'erfolgreiche Reintegration in die Berufliche Schule');
UPDATE cm_dok_end_art_tbl SET value = 'erfolgreiche Reintegration in die Allgemeinbildende Schule' WHERE id = 1;

-- Reactivate the triggers
SET ROLE postgres;

COMMIT;
