BEGIN;
-- Aktualisiert die Views
-- master_tbl_eval_total_view und master_tbl_eval_incm_view

-- Set role
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('2.0.3/15_update_views.sql', current_timestamp);

--  Aufräumen der Views.
DROP VIEW  master_tbl_eval_total_view CASCADE;

--  View  master_tbl_eval_total_view
CREATE OR REPLACE  VIEW master_tbl_eval_total_view AS
    SELECT m.* FROM master_tbl m JOIN ka_status_tbl s
        ON m.id = s.master_id
        WHERE
            s.status <> 3 AND
            (m.bearbeiter_id = (getuserid())::integer)
            OR pg_has_role('admin','MEMBER');

GRANT SELECT ON master_tbl_eval_total_view TO :cm_group;
GRANT SELECT ON master_tbl_eval_total_view TO :admin_group;

-- View  master_tbl_eval_incm_view
CREATE OR REPLACE  VIEW master_tbl_eval_incm_view AS
    SELECT * FROM master_tbl_eval_total_view
        WHERE phase IN (2,3,4,5);

GRANT SELECT ON public.master_tbl_eval_incm_view TO :cm_group;
GRANT SELECT ON public.master_tbl_eval_incm_view TO :admin_group;

-- Reactivate the old role
SET ROLE postgres;

COMMIT
