BEGIN;
-- Fügt für existierende Fallakten einen Eintrag in der Meta-Tabelle ein
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('2.1.0/03_create_meta.sql', current_timestamp);

CREATE OR REPLACE FUNCTION create_meta() RETURNS VOID AS $$
DECLARE
  r RECORD;
  rgid INTEGER;
BEGIN
  FOR r in SELECT *
  FROM master_tbl LOOP
       PERFORM create_meta_ds(r.id);
  END LOOP;
END;
$$ LANGUAGE plpgsql;
SET ROLE postgres;
SELECT create_meta();
SET ROLE :db_adm;
DROP FUNCTION create_meta();

-- Reactivate the role
SET ROLE postgres;
COMMIT;
