BEGIN;

SET ROLE postgres;
DROP VIEW IF EXISTS master_tbl_reportquota_view;
CREATE OR REPLACE VIEW master_tbl_reportquota_view
AS SELECT
   master_tbl.id AS id,
   NOT ka_meta_tbl.meta_uuid IS NULL AS sync
FROM master_tbl JOIN ka_meta_tbl ON master_tbl.id = ka_meta_tbl.master_id
WHERE master_tbl.phase IN (-1,0,2,4);

GRANT SELECT ON master_tbl_reportquota_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_reportquota_view TO GROUP :admin_group;

COMMIT;
