## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUser')}">${_('User overview')}</a></li>
</%def>


<div id="content_header_small">
  <div id="content_ueberschrift">
 ${_('User overview')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li><a href="${h.url(controller='administration', action='newUser')}"> ${_('Create new user')}</a></li>
      </ul>
    </div>
  </div>
</div>
<table class="hovertable">
  <tr>
    <th class="table_header_h table_width_mid">${_('Lastname')}</th>
    <th class="table_header_h table_width_mid">${_('Firstname')}</th>
    <th class="table_header_h ">${_('Role')}</th>
    <th class="table_header_h table_width_mid_s">${_('Actions')}</th>
  </tr>
  <% idset = 0 %>
  % for user in c.user_overview:
    % if user.login != 'adm':
      % if idset==0:
       <tr>
       <% idset = 1 %>
       % else:
       <tr class="table_row_h">
       <% idset = 0 %>
       % endif
         <td><a href="${h.url(controller='administration', action='showUser', id=user.id)}">${user.last_name| F.NA}</a></td>
         <td><a href="${h.url(controller='administration', action='showUser', id=user.id)}">${user.first_name| F.NA}</a></td>
         ##% if user.getRole() == 'Admin':
         ##<td><img src="${h.url('/images/icons/admin_grey_tag.gif')}" alt="${_('Role Administrator')}" title="${_('Role Administrator')}"></td>
         ##% else:
         ##  <td><img src="${h.url('/images/icons/cm_grey_tag_width.gif')}" alt="${_('Role Case Manager')}" title="${_('Role Case Manager')}"></td>
         ##% endif
         <td>${user.getRole()}</td>
         <td>
           <a href="${h.url(controller='administration', action='showUser', id=user.id)}"><img src="${h.url('/images/icons/open_active_22.png')}" border="0" alt="${_('Show')}" title="${_('Show')}"></a>
           % if str(user.id) != str(session.get('USER_AUTHORIZED').id):
            <a href="${h.url(controller='administration', action='deleteUser', id=user.id)}"><img src="${h.url('/images/icons/delete_active_22.png')}" border="0" alt="${_('Delete')}" title="${_('Delete')}"></a>
           % endif
         </td>
       </tr>
    % endif
  % endfor
  % if len(c.user_overview) <= 0:
    <tr>
      <td colspan="2">
        ${_('No data found.')}
      </td>
    </tr>
  % endif
</table>
