## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<table class="appointment">
  <tr>
    <th class="date table_header_h">${_('Date')}</th>
    <th class="title table_header_h">${_('Description')}</th>
    <th class="action table_header_h">${_('Actions')}</th>
  </tr>
  % for appointment in c.appointmentlist.getDatasets():
  <tr>
    <td class="date">${h.dd_mm_YYYY(appointment.getStartDate())}</td>
    <td class="title">${appointment.title | F.NA}</td>
    <td class="action">
     ${self.showAppointmentActions(appointment)}
    </td>
  </tr>
  <tr>
    <% description = F.shorten(appointment.description,120) %>
    <td colspan="3" class="description">${description | F.NA}</td>
  </tr>
  % endfor
  % if len(c.appointmentlist.getDatasets()) <= 0:
  <tr>
    <td colspan="3">${_('No event found')}</td>
  </tr>
  % endif
</table>
