## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case_overview')}">${_('Agency overview')}</a></li>
</%def>
<h1>${_('Agency overview')} (${_('Datadump of')}
${h.NA(h.dd_mm_YYYY(c.datadump))})</h1>
<%include file="/evaluation/search.mako" />
${ungettext('%s case in %s agency was found.', '%s cases in %s agencys where found.', c.count_all) % (c.count_all, c.count_agency)}
<div class="waska_form">
  <form action="${h.url(controller='evaluation_overview', action='bundleAction')}"
        method="POST">
  <%include file="./agencylist.mako" />
  <div class="waska_form_element">
    <input type="checkbox" name="all_cases" id="all_cases" value="1"><label for="all_cases">
    ${ungettext('Select the %s found agency.', 'Select all %s found agencys', c.count_all) % c.count_agency}</label>
    <input type="hidden" name="all_ids" value="">
  </div>
  <div class="waska_form_element w30">
    <select name="action">
      <option value="no_action">Keine Aktion</option>
      ##% if h.hasRole(['admin']):
      ##  <option value="delete">Löschen</option>
      ##  % if g.mpuls_config.is_enabled('case-module', 'anonymize'):
      ##    <option value="anonymize">Anonymisieren</option>
      ##  % endif
      ##  <option value="restore">Wiederherstellen</option>
      ##  % if g.mpuls_config.is_enabled('case-module', 'organisation'):
      ##    <option value="transfer">Bearbeitung übertragen</option>
      ##  % endif
      ##% endif
      ##% if h.hasRole(['cm']):
      ##  <option value="markdelete">Löschen</option>
      ##  % if g.mpuls_config.is_enabled('case-module', 'anonymize'):
      ##    <option value="markanonymize">Anonymisieren</option>
      ##  % endif
      ##% endif
      ##% if h.hasRole(['admin', 'cm']):
      ##  % if g.mpuls_config.is_enabled('case-module', 'organisation'):
      ##    <option value="standin">Vertretung zuweisen</option>
      ##  % endif
      ##% endif
      ##% if g.mpuls_config.is_enabled('case-module', 'exportXLS'):
      ##  <option value="exportXLS">Als Excel-Tabellen exportieren</option>
      ##% endif
      ##% if g.mpuls_config.is_enabled('case-module', 'exportXML'):
      ##  <option value="exportXML">Als XML-Datei exportieren</option>
      ##% endif
      ##% if g.mpuls_config.is_enabled('case-module', 'exportCSV'):
      ##  <option value="exportCSV">Als CSV-Datei exportieren</option>
      ##% endif
      % if g.mpuls_config.is_enabled('module', 'evaluation') and not c.hide_evaluation:
        <option value="evaluate">Auswerten</option>
      % endif
    </select>
  </div>
  <div class="waska_form_eevaluationlement w50">
    <input type="submit" value="${_('Do action for selected items')}">
  </div>
  </form>
  <br class="newline">
</div>

