## -*- coding: utf-8 -*-
<fieldset>
<legend>Zeitangaben</legend>
  <div class="w25">
    % if c.form_errors.get('date'):
      <label for="date" class="error_font">${_('Date:')}</label><br>
      <input type="text" class="field error_box" name="date" id="date" maxlength="10" onchange="setModification();"/>
    % else:
      <label for="date">${_('Date:')}</label><br>
      <input type="text" class="field" name="date" id="date" maxlength="10" onchange="setModification();"/>
    % endif
  </div>
  <div class="w75">
    % if c.form_errors.get('time'):
      <label for="date" class="error_font">${_('Time:')}</label><br>
      <input type="text" class="field error_box" name="time" id="time" maxlength="5" onchange="setModification();"/>
    % else:
      <label for="time">${_('Time:')}</label><br>
      <input type="text" class="field" name="time" id="time" maxlength="5" onchange="setModification();"/>
    % endif
  </div>
  <div class="w25">
    % if c.form_errors.get('duration'):
      <label for="duration" class="error_font">${_('Duration in minutes')}:</label><br>
      <input type="text" class="field error_box" name="duration" id="duration" maxlength="4" onchange="setModification();"/>
    % else:
      <label for="duration">${_('Duration in minutes')}:</label><br>
      <input type="text" class="field" name="duration" id="duration" maxlength="4" onchange="setModification();"/>
    % endif
  </div>
</fieldset>
<fieldset>
<legend>${_('entry')}</legend>

${_('editor')}: ${session.get('USER_AUTHORIZED').shortenedName()}
% for num, typ in enumerate(g.mpuls_config.get('logbook', 'types')):
<div class="w100">
  <label for="typ${num}">${typ.get('label')}:</label><br>
  <select name="${typ.get('db_field')}" id="typ${num}">
  ${h.literal("".join(h.render_logbook_typeoptions(typ)))}
  </select>
  </div>
% endfor
  % if c.form_errors.get('short_notice'):
    <label for="short_notice" class="error_font">${_('Mention rest:')}</label><br>
    <input type="text" class="field error_box" name="short_notice" id="short_notice" maxlength="80" onchange="setModification();"/>
  % else:
    <label for="short_notice">${_('Mention rest:')}</label><br>
    <input type="text" class="field" name="short_notice" id="short_notice" maxlength="80" onchange="setModification();"/>
  % endif
</div>
<div>
  <label for="notice">${_('Note')}:</label><br>
  <textarea cols="70" rows="10" name="notice" id="notice" onchange="setModification();"></textarea>
</div>
<div>
  <input type="hidden" name="case_id" value="">
  <input type="submit" value="Eintrag speichern">
</div>
</fieldset>
