## -*- coding: utf-8 -*-
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Einwilligungserklärung für die Übermittlung und Austausch von Daten mit dem ${_('Meta server')}</title>
<meta name="generator" content="Bluefish 1.0.7">
<meta name="date" content="2010-10-09T14:00:00+0100">
<meta name="copyright" content="Intevation GmbH">
<meta name="keywords" content="">
<meta name="description" content="">
<meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8">
<meta http-equiv="content-style-type" content="text/css">
<meta http-equiv="expires" content="0">
<link rel="shortcut icon" type="image/x-icon" href="/images/mpuls.ico">
<link href="/styles/all.css" media="all" rel="stylesheet" type="text/css">
<link href="${h.url('/styles/print.css')}" media="screen" rel="stylesheet" 
      type="text/css">
<link href="${h.url('/styles/print.css')}" media="print" rel="stylesheet" 
      type="text/css">

<style type="text/css">
.statement_content {
        width: 90%;
        font-size: 0.95em;
	margin-bottom: 5em;
}
.statement_signs {
        width: 90%;
        font-size: 0.95em;
	margin: 4em 0;
}

</style>
<BODY LANG="de-DE" TEXT="#000000" DIR="LTR">
<h1>Einwilligungserklärung für die Übermittlung und Austausch von Daten mit dem ${_('Meta server')}</h1>
<BR>
<div class="statement_content">
Ich nehme an einem
Förderprogramm der<strong>
Initiative JUGEND STÄRKEN</strong>
teil. Dabei handelt es sich um (__________________________(Einrichtung) ).
Die Initiative JUGEND STÄRKEN bietet zusätzlich noch weitere
Förderprogramme an. Damit diese von verschiedenen Stellen erbrachten
Leistungen und Programme besser aufeinander abgestimmt werden können,
ist es erforderlich, dass diese anderen Stellen auch auf meine Daten
zugreifen. Dies ist jedoch nur mit meiner Einwilligung möglich.</P>
<P>
<strong>Was sind das für
Daten?</strong>
<P>
Bei den Daten, die
ausgetauscht werden sollen, handelt es sich zum einen um allgemeine
Angaben, wie zum Beispiel Alter und Geschlecht. Für eine bessere
Zusammenarbeit sind aber noch mehr Daten notwendig, die teilweise
auch sehr persönlich sein können. Zum Beispiel kann es für eine
Förderung wichtig sein, was für Probleme Dich beschäftigen, ob Du
an einer Erkrankung leidest oder wie Dein soziales Umfeld aussieht.
Eine genaue Auflistung der jeweils aktuell verwendeten Datenkategorien zeigen
wir Dir gerne jetzt am Monitor.
<P>
<strong>Was sind das für
Stellen, die zusammenarbeiten wollen?</strong>
<P>
Eine dieser Stellen sind
wir, ( ____________________(Einrichtung)).
Die anderen Stellen bieten ebenfalls Förderprogramme der<strong>
Initiative JUGEND STÄRKEN</strong>
an. Wir
wollen uns nur mit den Stellen austauschen, bei denen Du bereits
gefördert wurdest oder in Zukunft gefördert wirst. Du erkennst die
Stellen, mit denen wir uns austauschen möchten daran, dass diese
Dich ebenfalls fragen werden, ob Sie sich mit anderen Stellen der
<strong>Initiative
JUGEND STÄRKEN </strong>über
Dich austauschen dürfen. Vielleicht wurdest Du in der Vergangenheit
auch schon gefragt? Wir drucken Dir auf Wunsch gerne eine Liste der
Stellen aus, denen Du einen Datenaustausch erlaubt hast.
<P>
<strong>Was kann ich tun?</strong>
<P>
Die Zusammenarbeit der
o.g. Stellen ist allein in Deinem Interesse - aber Du hast es in der
Hand, ob diese Zusammenarbeit und Abstimmung erfolgen kann. Hierfür
ist Deine Einwilligung erforderlich. 

<P>
<strong>Muss ich das tun?</strong>
<P>
Nein. Du musst uns diese
Einwilligung nicht geben. Die Einwilligung ist freiwillig. Eine
Verweigerung der Einwilligung hat keine negativen Konsequenzen für
Deine Teilnahme an diesem Förderprogramm.
<P>
<strong>Kann ich meine
Einwilligung widerrufen?</strong>
<P>
Ja. Du kannst deine
Einwilligung jederzeit widerrufen. Du kannst Dich hierzu an jede
Stelle wenden, der Du eine Einwilligung erteilt hast oder erteilen
wirst. Du kannst Deine Einwilligung im Ganzen oder mit Wirkung für
bestimmte Stellen widerrufen. 

<P>
<strong>Wie läuft der
Austausch über mich genau ab?</strong>
<P>
Alle Stellen, denen Du
erlaubst, dass sie sich über Dich austauschen, melden persönliche
Daten über Dich in eine Datenbank und können persönliche Daten aus
dieser Datenbank unter Angabe Deines Namens und weiterer Daten abrufen.

<P>
<strong>Woher weiß ich, was
genau über mich in der Datenbank steht?</strong>
<P>
Gerne zeigen wir Dir
jederzeit am Monitor, was für Daten in der Datenbank über Dich
stehen. Wir drucken Dir auch gerne eine Liste mit Deinen Daten aus. 

<P>
<strong>Hat das Jugendamt mit
der Datenbank zu tun?</strong>
<P>
Ja. Die Datenbank wird
technisch vom Jugendamt und auch von weiteren Dienstleistern betreut.
Das Jugendamt und die Dienstleister dürfen aber ohne Deine
Einwilligung keine Daten über Dich suchen oder für eigene Zwecke
verwenden. 

<P>
<strong>Wo bekomme ich mehr
Informationen?</strong>
<P>
Wenn Du noch Fragen hast,
sprich uns gerne an.
<P>
<strong>Wenn Du in den
Datenaustausch einwilligen möchtest, kannst du das jetzt tun:</strong>
<P>Hiermit
willige ich, <strong>_________________ ___________________(Vor- und Nachname)
</strong>
<P>wohnhaft in
<P>Straße: _______________________ _____________________(Straße und Hausnummer)
<P>PLZ, Ort: ________________________ ___________________________(PLZ und Ort)
<P>ein,
dass (______________________ (Vor- und Nachname))
sich über mich mit anderen Stellen der Initiative <strong>JUGEND STÄRKEN</strong>
austauscht, denen ich in der Vergangenheit oder in Zukunft eine
Einwilligung erteilt habe bzw. werde.  Ich bin mir bewusst, dass es
sich bei diesen Daten teilweise auch um sehr persönliche Daten
handeln kann.
<P><BR><BR>
</P>
____________________________________________________________<br>
(Ort, Datum, Unterschrift des Jugendlichen)
<BR><BR>
</P>
</BODY>
</html>

