## -*- coding: utf-8 -*- 
<%inherit file="../../main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='index')}">${_('Case Management')}</a></li>
  <li><a href="${h.url(controller='case_overview', action='index')}">${_('Case document overview')}</a></li>
  <li><a href="#">${_('cm_np_show')}</a></li>
</%def>
<div class="dialog" />
<h1><img src="${h.url('/images/icons/info/info.png')}" alt="" width="48" height="48" />${_('Missing data for the sync persmission')}</h1>
<p>${_('The sync permission of the youth to sync data to the meta server. You are resonsible for this.')}</p>
% if h.hasRole(['cm']):
  <p>${h.literal(_('Please notice that the acceptence statement needs to be written. For this use <a href="%s" target="_blank">Printversion of this statement</a>. Please choose:') % h.url(controller="privacy", action="printStatement", id=c.ds_id))}

    <ol>
      <li>
        ${h.literal(_('<strong>Permission granted</strong>, when the permission is granted.'))}
      </li>
      <li>
        ${h.literal(_('<strong>Permission unclear</strong>, when the permission is unclear but should be obtained later.'))}
      </li>
      <li>${h.literal(_('<strong>Permission refused</strong>, when permission is refused and will not be granted later.'))}
      </li>
    </ol>
  </p>
  <p>
    <a class="button" href="${h.url(controller="meta", action="set_statement1", id=c.ds_id, confirmed=0)}">${_('Statement accepted')}</a>
    <a class="button" href="${c.targeturl}">${_('Statement unclear')}</a>
    <a class="button" href="${h.url(controller="meta", action="withdraw_only", id=c.ds_id, confirmed=0)}">${_('Statement declined')}</a>
  </p>
% else:
  <p>
    <a class="button" href="${h.url(controller='case', action='select', id=c.ds_id, confirmed=1)}">${_('OK')}</a>
  </p>
% endif
