## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
  <li><a href="${h.url(controller='usersettings', action='showSettings')}"
         onclick="return checkModification();">${_('My Account')}</a></li>
  <li><a href="#" onclick="return checkModification();">${_('Change password')}
</a></li>
</%def>
<%
  formular_labels = {'passwd'    : _('Enter new password'),
                      'passwd2'   : _('Repeat pasword'),
                      'oldpasswd' : _('Enter old password')
                      }
%>
<div id="content_header_small">
  <div id="content_ueberschrift">
 ${_('Change password')}
  </div>
  <div id="modusfield">
    <div class="actions">
	<ul>
		<li><a href="${h.url(controller='usersettings', action='showSettings')}"> ${_('Back to: My Account')}</a></li>
	</ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="waska_form" class="import_box">
<p class="import_p">${_('The new password must contain of 12 letter at least and must contain 2 non-character at least. ')}</p>
<div class="import_box_dialog">
<form action="${h.url(controller='usersettings', action='changePasswordAction')}" method="POST" autocomplete="off">
<table>
  % if c.form_errors.get('oldpasswd'):
    <tr><td>
    <label class="import_label" for="oldpasswd" class="error_font"><strong class="import_number">1. </strong>${_('Enter old password')}:</label>
    </td><td>
    <input type="password" class="field error_box" id="oldpasswd" name="oldpasswd">
    </td></tr>
  % else:
    <tr><td>
    <label class="import_label" for="oldpasswd"><strong class="import_number">1. </strong>${_('Enter old password')}:</label>
    </td><td>
    <input type="password" class="field" id="oldpasswd" name="oldpasswd">
    </td></tr>
  % endif
  % if c.form_errors.get('passwd'):
    <tr><td>
    <label class="import_label" for="passwd" class="error_font"><strong class="import_number">2. </strong>${_('Enter new password')}:</label>
    </td><td>
    <input type="password" class="field error_box" id="passwd" name="passwd" style="margin: 0 0 0 0;">
    </td></tr>
  % else:
    <tr><td>
    <label class="import_label" for="passwd"><strong class="import_number">2. </strong>${_('Enter new password')}:</label>
    </td><td>
    <input type="password" class="field" id="passwd" name="passwd" style="margin: 0 0 0 0;">
    </td></tr>
  % endif
  % if c.form_errors.get('passwd2'):
    <tr><td>
    <label class="import_label" for="passwd2" class="error_font"><strong class="import_number">3. </strong>${_('Repeat pasword')}:</label>
    </td><td>
    <input type="password" class="field error_box" id="passwd2" name="passwd2">
    </td></tr>
  % else:
    <tr><td>
    <label class="import_label" for="passwd2"><strong class="import_number">3. </strong>${_('Repeat pasword')}:</label>
    </td><td>
    <input type="password" class="field" id="passwd2" name="passwd2">
    </td></tr>
  % endif
  <tr><td> 
  <label class="import_label" for="passwd2"><strong class="import_number">4. </strong>Neues Passwort speichern:</label>
  </td><td>
  <input id="account_pw_sub" class="btn_space" type="submit" value="${_('Save')}">
  </td></tr>
</table>
</form>
</div>
</div>
