<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:output method="xml" encoding="UTF-8" />

    <!-- updates the formedtree version and the version nr -->
    <xsl:template match="cases">
<cases formed-type="http://mpuls.intevation.de/formed/wasko-case/2011-06-29/13:00" version="5">
	<xsl:apply-templates/>
    </cases>
    </xsl:template>

    <!-- changes for 01_zugang -->
    <xsl:template match="zugang">
        <zugang>
            <xsl:choose>
                <xsl:when test=". = 3">19</xsl:when>
                <xsl:when test=". = 4">19</xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="."/>
                </xsl:otherwise>
            </xsl:choose>
        </zugang>
    </xsl:template>

    <!-- Rest should be copied -->
    <xsl:template match="@*|node()">
        <xsl:copy>
          <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>
